Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class PropertyAlias

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
                  org.apache.ode.bpel.compiler.bom.PropertyAlias

All Implemented Interfaces:
  java.io.Serializable, javax.wsdl.extensions.ExtensibilityElement

Direct Known Subclasses:
  PropertyAlias11

    public class PropertyAlias

extends BpelObject4WSDL
implements javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable

WSDL extension element for a BPEL `<propertyAlias>` element.

See Also:
  `org.apache.ode.bpel.compiler.wsdl.PropertyAliasSerializer_11`, Serialized Form

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`PropertyAlias(org.w3c.dom.Element el)`

Method Summary
`javax.xml.namespace.QName` | `getMessageType()` Get the name of the WSDL `message` type that this alias it to apply to.
`NSContext` | `getNSContext()` Get the namespace context for the `<propertyAlias>` element that created this object.
`java.lang.String` | `getPart()` Get the name of the WSDL `part` that this alias is to apply to (within the specified `message`).
`javax.xml.namespace.QName` | `getPropertyName()` Get the `QName` of the property that this alias applies to.
`Expression` | `getQuery()` Get the location path query for the `OPropertyAlias` as originally specified in the WSDL.

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
`getElementType, getRequired, getTargetNamespace, setElementType, setRequired, setTargetNamespace`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getElementType, getRequired, setElementType, setRequired`

Constructor Detail

### PropertyAlias

    public PropertyAlias(org.w3c.dom.Element el)

Method Detail

### getMessageType

    public javax.xml.namespace.QName getMessageType()

  Get the name of the WSDL `message` type that this alias it to apply to.

  Returns:
    the `QName` for the `messageType`

### getPart

    public java.lang.String getPart()

  Get the name of the WSDL `part` that this alias is to apply to (within the specified `message`).

  Returns:
    the name of the part
  See Also:
    `getMessageType()`

### getPropertyName

    public javax.xml.namespace.QName getPropertyName()

  Get the `QName` of the property that this alias applies to.

  Returns:
    the property `QName`

### getQuery

    public Expression getQuery()

  Get the location path query for the `OPropertyAlias` as originally specified in the WSDL.

  Returns:
    the query

### getNSContext

    public NSContext getNSContext()

  Get the namespace context for the `<propertyAlias>` element that created this object.

  Returns:
    the `NSContext` the encapsulates the namespace context

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD